Subject: Re: I'll bite

From: ted at aps1.spa.umn.edu (Ted Stockwell)
Date: 2 Jun 91 01:59:07 GMT

In article <N311BS.91May31141845 at tamuts.tamu.edu> n311bs at tamuts.tamu.edu (Ross Mckinney) writes:

	 Ok, I'll bite. This sounds interesting, and I have been looking for
   this kind of data for a while. If someone could post a synopsis of FITS
   (I've never heard of it before), I'll be glad to write or help write some
   programs to access the images and perhaps convert them to GIF (If I get 
   what you are saying correctly).

					     -Jack (I know, the Header says
						    Ross, I'll explain later)

The following was posted to sci.astro a  while ago

> Reply-To: bschlesinger at nssdca.gsfc.nasa.gov
> Followup-To: sci.astro 
> Distribution:  world
> Organization: NASA - Goddard Space Flight Center
> Keywords: FITS  
> News-Software: VAX/VMS VNEWS 1.3-4   
> 
> Basic information on FITS can be found in four papers:
> 
> The reference cited by Arnold Gill
>  Astronomy and Astrophysics Supplement, vol. 44, p. 363, 1981
> 
> which describes the original FITS structure
> 
> The paper that follows it in the journal, which describes the "groups 
> structure".
> 
> Grosbol et al., 1988, "Generalized extensions and blocking factors for 
> FITS", Astron. & Ap. Suppl., v. 73, p. 359.
> 
> Harten et al.,  1988, "The FITS tables extension, Astron. & Ap. 
> Suppl., v. 73 p. 365.
> 
> The groups format is used only for radio interferometry.  It is not 
> written, and often cannot be read, by people in other fields.  I would 
> advise anyone in an another field just starting FITS to bypass this 
> paper.
> 
> The third paper, on extensions, describes what makes FITS really
> flexible: extensions.  Each extension consists of a header followed by
> data whose structure the header describes.  They follow the header
> (and data matrix, if present) described in the first paper. There are
> some basic rules all extensions must follow to be FITS-compatible;
> this paper describes them.  Within those limit, a wide variety of
> structures is possible. 
> 
> The fourth paper describes a particular extension that has been 
> endorsed by the IAU.  In this extension, the data matrix is structured 
> as a table.  The entries in the table consist of character strings or 
> the ASCII representation of digits.
> 
> Reading these papers is at present the best way to get started on 
> FITS.
> 
> One additional FITS rule (referred to by Steve Allen) has been
> endorsed by the IAU Commission 5 FITS working group.  The basic data
> matrix "image' may contain IEEE-754 floating point numbers.  BITPIX =
> -32 in the header indicates single precision and BITPIX = -64 double
> precision. 
> 
> Ron Watkins defines the meaning of the SIMPLE keyword as data integer
> format.  The SIMPLE keyword with the value "T" is the signature of
> FITS.  If a data set is FITS, it the SIMPLE keyword has the value "T",
> with the card image syntax defined as in the first paper, whether the
> data are integer or floating point. The meaning of the "F" value is
> not defined. 
> 
> Steve Allen states that FITS really only applies to images stored on 
> magnetic tape.  Historically, that was the medium to which it applied. 
> However, current thinking is to define FITS as a *logical* structure.  
> Conventions for its expression on different media are still being 
> discussed by the regional FITS committees.  Also, he points out, 
> without endorsing the practice, that many sites stored their data 
> using the natural data format of their computer.  Any site may store 
> data as it chooses.  However, if it is in a different data format it 
> is NOT FITS.  If they wish to distribute the data as FITS, they should 
> convert to the proper format.  Unconverted data going under the name 
> of "waiver FITS" or "FITS-like" have complicated matters for FITS 
> readers (human and software).
> 
> 			Barry Schlesinger
> 			FITS Support Office
> 			NASA Science Data Systems Standards Office
--
Ted Stockwell                                     U of MN, Dept. of Astronomy
ted at aps1.spa.umn.edu                          Automated Plate Scanner Project